[AI68-1]Hiro LS Researcher-Create

post
https://connect.patsnap.com/chat/ai-ls-chat
Try in Sandbox

This interface is used to initialize an Biomedical Encyclopedia Q&A chat session, obtain chat ID and chat item ID, as well as related reference document information. Usage flow: first call this interface to get chatId and chatItemId, then use these IDs to call the streaming interface to get AI responses.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
data_source
integer<int32>1
data source 1: all 2: paper 3: patent 4: clinical trials 5: fda label 6: financial report 7: clinical guideline 8: epidemiology
deep_search
Required
boolean-
deep think
long_think
Required
boolean-
long think
query
Required
stringWhat is the data of the drug RMC6236?
User question
search_website
Required
boolean-
search website

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
chat_id
string019ae7682af371d991f228fc8eac9ada
Chat ID
ref_doc
arrayPlease check the form: EurekalsChatRefDoc
Reference document list, containing related document reference information
link
stringhttps://zhuanlan.zhihu.com/p/391356908
Document link address
text
string2021 China EGFR Inhibitor Industry Analysis Report - Market Structure Status and Future Prospects Research
Document text content
type
stringweb-site
Document type
index
string1
Document Index
post_time
string20210720
Post time
_text_display
string2021 China EGFR Inhibitor Industry Analysis Report - Market Structure Status and Future Prospects Research
Text display content
doc_type_detail
stringzhihu
Document type detail
chat_item_id
string322d39265d444c53b8ad6d1b3a70974a
Chat item ID
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "chat_id": "019ae7682af371d991f228fc8eac9ada",
    "ref_doc": [
      {
        "link": "https://zhuanlan.zhihu.com/p/391356908",
        "text": "2021年中国EGFR抑制剂行业分析报告-市场格局现状与未来前景研究",
        "type": "web-site",
        "index": 1,
        "post_time": 20210720,
        "_text_display": "2021年中国EGFR抑制剂行业分析报告-市场格局现状与未来前景研究",
        "doc_type_detail": "zhihu"
      }
    ],
    "chat_item_id": "322d39265d444c53b8ad6d1b3a70974a"
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
33610400Illegal content in user input
33610600Internal system exception

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms